package com.kmall.admin.dao;


import com.kmall.admin.entity.OrderWXPayRecordEntity;
import com.kmall.manager.dao.BaseDao;

import java.util.List;

/**
 * 微信付款码支付记录Dao
 */
public interface OrderWXPayRecordDao extends BaseDao<OrderWXPayRecordEntity> {

    OrderWXPayRecordEntity findByOutTradeNoWX(String outTradeNoWX);

    int countByOutTradeNo(String outTradeNo);

    List<OrderWXPayRecordEntity> getRecordByOutTradeNo(String outTradeNo);

}
